/*
/// Search
*/

#search {
  width: 100%;
  max-width: 20rem;
}

#search-input {
  --icon-size: 24px;
  padding: 0.75rem 1rem 0.75rem var(--page-margins);
  width: 100%;
  height: 48px;
  border: 1px solid var(--color-gray-200);
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' fill='gray' viewBox='0 0 24 24'%3E%3Cpath d='M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z'/%3E%3Cpath d='M0 0h24v24H0z' fill='none'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: calc(var(--page-margins) / 2 - calc(var(--icon-size) / 2)) center;
  background-size: var(--icon-size) var(--icon-size);
  -webkit-appearance: none;
  backface-visibility: hidden;
  transform-style: preserve-3d;
}

@media (max-width: 29.9375rem) {
  /* < 480px */
  #search-input {
    padding: 0.75rem 1.5rem;
    background-position: center;
  }
  #search-input:focus {
    position: fixed;
    left: 5rem;
    padding: 0.75rem 1rem 0.75rem calc(var(--page-margins)*2);
    width: calc(100vw - 5rem - 5rem);
    background-position: calc(var(--page-margins) - calc(var(--icon-size)/2)) center;
    box-shadow: 0 0 0 8px #fff;
  }
}
